/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../styles/plateg-variables.less';

.plateg-modal {
  width: 850px !important;
  &.rv-freigabe-modal {
    @media screen and (max-width: 900px) {
      width: 420px !important;
    }
  }

  height: 70vh;
  max-height: 753px;
  padding-bottom: 0;
  .ant-modal-content {
    display: flex;
    flex-direction: column;
    padding: 0;

    .ant-modal-header {
      padding: 16px 48px 16px 24px;
      border-bottom: 1px solid @platform-blue1;
      .ant-modal-title {
        font-size: 2.4rem;
        line-height: 30px;
        font-weight: 500;
      }
    }
    .ant-modal-body {
      max-height: 70vh;
      overflow: auto;
      flex: 1 1 auto;

      @media screen and(min-width: 900px) {
        padding: 2% 8% !important;
      }
    }
    .ant-modal-footer {
      display: flex;
      flex-wrap: wrap;
      background-color: white;
      border-top: 1px solid @platform-blue1;
      padding: 0 16px;
      .plateg-modal-footer-left,
      .plateg-modal-footer-right {
        display: flex;
        margin: 10px 0;
        flex-wrap: wrap;
        button {
          &.ant-btn-primary {
            white-space: pre-wrap;
            height: auto;
          }
          font-size: 1.6rem;
          &:not(:last-of-type) {
            margin-right: 40px;
          }
        }
      }
      .plateg-modal-footer-spacer {
        flex-grow: 1;
      }
    }
  }
}
